package lrs.lazyLRSEvaluators;

import lrs.*;
public class LazyNFacInvEval extends ALazyEval
{
    double n=0.0;
    double nfac = 1.0;
    
    public final LRStruct nextLRS()
    {
        nfac *= ++n;
        return makeLRS ();
    }
    
    public final LRStruct makeLRS()
    {
        return makeLazyLRS (1.0/nfac);
    }
}

